import httpService from '../config/http.service.js'
const url_base = '/consume-admin' // 正式环境
// const url_base = '/consume' // 测试环境
class service {
	// 企业列表
	getEnterpriseList(data) {
		return httpService.get(`${url_base}/cmbOneNet/getEnterpriseList`, data || {}, false)
	}
	// 获取用户信息
	getUserInforMation(data) {
		return httpService.post(`${url_base}/cmbOneNet/getUserInforMation`, data || {}, false)
	}
	// 申请加入会员
	applyMember(data) {
		return httpService.post(`${url_base}/cmbOneNet/applyMember`, data || {}, false)
	}
	// 领券列表
	getCouponAppList(data) {
		return httpService.get(`${url_base}/cmbOneNet/getCouponAppList`, data || {}, false)
	}
	// 申请发券
	applyEnterprise(data) {
		return httpService.post(`${url_base}/cmbOneNet/applyEnterprise`, data || {}, false)
	}
	// 申请访问令牌
	applyInfo(data) {
		return httpService.post(`${url_base}/cmbOneNet/applyInfo`, data || {}, false)
	}
	// 获取企业信息
	getEnterprise(data) {
		return httpService.get(`${url_base}/cmbOneNet/getEnterprise`, data || {}, false)
	}
	// 领取优惠券
	receive(data) {
		return httpService.get(`${url_base}/cmbOneNet/receive`, data || {}, false)
	}
	// 已领取优惠券列表
	getReceivedList(data) {
		return httpService.get(`${url_base}/cmbOneNet/getReceivedList`, data || {}, false)
	}
	// 查询企业用户信息
	getEnterpriseUser(data) {
		return httpService.get(`${url_base}/cmbOneNet/getEnterpriseUser`, data || {}, false)
	}
	// 我的卡券
	getAllReceivedList(data) {
		return httpService.get(`${url_base}/cmbOneNet/getAllReceivedList`, data || {}, false)
	}
	// 失效优惠券
	getOverdueList(data) {
		return httpService.get(`${url_base}/cmbOneNet/getOverdueListSE`, data || {}, false)
	}
	// 个人券夹
	getAllReceivedListSE(data) {
		return httpService.get(`${url_base}/cmbOneNet/getAllReceivedListSE`, data || {}, false)
	}
	// 查询申请发券企业信息
	getIssEnterprise(data) {
		return httpService.get(`${url_base}/cmbOneNet/getIssEnterprise`, data || {}, false)
	}
}
export default service
