import Vue from 'vue'
import Router from 'vue-router'
import Index from './views/index.vue'
// 会员系统
import Trade from './views/trade/index.vue'
// 我的页面
import Mine from './views/mine/mine.vue'
import company from './views/mine/company.vue'
import coupon from './views/mine/coupon.vue'
import allCoupon from './views/mine/allCoupon.vue'

import Goon from './views/goon/goon.vue'
// 票券
import member from './views/member/tradearea.vue'
import applyMember from './views/member/applyMember.vue'
import applyJoin from './views/member/applyJoin.vue'
import useConpou from './views/member/useConpou.vue'
import jump from './views/member/jump.vue'

import Property from './views/property/property.vue'


Vue.use(Router)

export default new Router({
	routes: [{
			path: '/',
			name: '首页',
			component: Index
		},
		{
			path: '/member',
			name: '会员',
			component: member
		},
		{
			path: '/jump',
			name: '官网',
			component: jump
		},
		{
			path: '/mine',
			name: '我的',
			component: Mine
		},
		{
			path: '/goon',
			name: '出行',
			component: Goon
		},
		{
			path: '/tradearea',
			name: '商圈',
			component: Trade
		},
		{
			path: '/property',
			name: '物业',
			component: Property
		},
		{
			path: '/company',
			name: '企业自荐',
			component: company
		},
		{
			path: '/coupon',
			name: '我的券夹',
			component: coupon
		},
		{
			path: '/allCoupon',
			name: '我的券夹',
			component: allCoupon
		},
		{
			path: '/applymember',
			name: '申请提供会员',
			component: applyMember
		},
		{
			path: '/applyjoin',
			name: '申请加入会员',
			component: applyJoin
		},
		{
			path: '/useconpou',
			name: '领取票券',
			component: useConpou
		},
	]
})
