/**
 * @Description:配置打包的路劲,与代理服务
 * @author:jzjun
 */
module.exports = {
	publicPath: '/cmbapp-consume/', //根路径,根据不同的项目打包,用于后台配置
	devServer: {
		open: true,
		overlay: {
			warnings: false,
			errors: true
		},
		proxy: {
			'': {
				target: 'https://shapp.mbcloud.com/', // 要访问的接口域名
				// target: 'http://192.168.110.85:8085/', // 要访问的接口域名
				ws: true, // 是否启用websockets
				changeOrigin: true, // 开启代理：在本地会创建一个虚拟服务端，然后发送请求的数据，并同时接收请求的数据，这样服务端和服务端进行数据的交互就不会有跨域问题
				pathRewrite: {
					'': '' // 开发环境使用
				}
			}
		},
		before: app => {}
	},
};
