import Vue from 'vue'
import App from './App.vue'
import Vant from 'vant';
import router from './router'
import store from './store'
import 'vant/lib/index.css';
import '@/static/style.less'
import axios from 'axios'
import VueClipboard from 'vue-clipboard2'

Vue.prototype.$axios = axios.defaults.baseURL = '' // 接口省去api
Vue.config.productionTip = false
VueClipboard.config.autoSetContainer = true

Vue.use(VueClipboard)
Vue.use(Vant);

new Vue({
	store,
	router,
	render: h => h(App),
}).$mount('#app')
